Skip to main content
POST
/
generation
/
runwayml
/
gen4-image-turbo
Runway Gen-4 Image Turbo
curl --request POST \
  --url https://open.skills.video/api/v1/generation/runwayml/gen4-image-turbo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.skills.video/llms.txt

Use this file to discover all available pages before exploring further.

Like Gen4-Image, fast, cost-efficient.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required
resolution
enum<string>
default:1080p
Available options:
720p,
1080p
aspect_ratio
enum<string>
default:16:9
Available options:
16:9,
9:16,
4:3,
3:4,
1:1,
21:9
reference_image_urls
string<uri>[]
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request